package index;

import window.Fingerprint;

/**
 * An entry of the inverted index
 */
public class IndexEntry {
	/**
	 * The name of the file which this fingerprint blongs to it
	 */
	String fileName;
	
	/**
	 * The fingerprint itself
	 */
	Fingerprint fingerprint;
	
	public IndexEntry(String fileName, Fingerprint fingerprint) {
		super();
		this.fileName = fileName;
		this.fingerprint = fingerprint;
	}
	
	public String toString() {
		return ("<" + fileName + "," + fingerprint + ">"); 
	}
	
	public String getFileName() {
		return fileName;
	}

	public Fingerprint getFingerprint() {
		return fingerprint;
	}
}
