package window;

/**
 * A bean contains the value of a fingerprint and data about its place in the document
 * It'll be sorted according to its value in some places so it must be Comparable
 * @see java.lang.Comparable 
 */
public class Fingerprint implements Comparable {
	/**
	 * The hash value
	 */
	private int value;
	
	/**
	 * The position in the document
	 */
	private int position;
	
	/**
	 * The position of the window when this gram selected
	 */
	private int whereSelected;
	
	public Fingerprint(int value, int position, int offset) {
		this.value = value;
		this.position = position;
		this.whereSelected = offset;
	}

	public int getPosition() {
		return position;
	}

	public int getValue() {
		return value;
	}
	
	public String toString() {
		String retval;
		retval = (new Integer(value)).toString();
//		retval += "\t";
//		retval += (new Integer(position)).toString();
//		retval += "\t";
//		retval += (new Integer(whereSelected)).toString();
//		retval += "\n";
		return retval;
	}

	public int compareTo(Object arg0) {
		return (new Integer(value)).compareTo(new Integer (((Fingerprint)(arg0)).value));
	}
}
